<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport"
	content="width=device-width, initial-scale=1, shrink-to-fit=no">

<!-- Bootstrap CSS -->
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
	integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh"
	crossorigin="anonymous">
<link rel="stylesheet" href="css/tienda.css">
<title>Tienda OnLine</title>
</head>
<body>
	<!-- As a link -->
	<nav class="navbar navbar-dark bg-dark">
		<a class="navbar-brand" href="#"> <img alt=""
			src="img/icon-guitar.png"> Guitar Store
		</a>
		<a class="navbar-brand" href="/cargar"> <img alt=""
			src="img/icon-guitar.png"> Agregar
		</a>
	    <form th:action="@{/buscar}" class="form-inline my-2 my-lg-0">
	      <input name="nombre" class="form-control mr-sm-2" type="search" placeholder="yamaha" aria-label="Search">
	      <button class="btn btn-outline-success my-2 my-sm-0" type="submit">Buscar</button>
	    </form>		
	</nav>
	<div class="container mt-4 tnd-destacados">
		<div class="row">
			<div th:each="articulo: ${articulos}" class="col-md-3 mb-4">
				<div class="card">
					<img
						th:src="${articulo.imagenUrl}"
						class="card-img-top" alt="...">
					<div class="card-body">
						<h5 th:text= ${articulo.nombre} class="card-title"></h5>
						<p th:text= ${articulo.descripcion} class="card-text"></p>
						<h3 th:text= ${articulo.pais.nombre} class="card-text"></h3>
					</div>
					<div class="card-footer text-muted">
						<a th:href="@{/verDetalle/{id} (id = ${articulo.id})}">Ver Detalles</a>						
						<a th:href="@{/eliminar/{id} (id = ${articulo.id})}" onclick="if(!(confirm('Esta Seguro que Desea Eliminar el Articulo Seleccionado?'))) return false">Eliminar</a>
					</div>
				</div>
			</div>
				
		</div>
	</div>
	<!-- Optional JavaScript -->
	<!-- jQuery first, then Popper.js, then Bootstrap JS -->
	<script src="https://code.jquery.com/jquery-3.4.1.slim.min.js"
		integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n"
		crossorigin="anonymous"></script>
	<script
		src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"
		integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo"
		crossorigin="anonymous"></script>
	<script
		src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"
		integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6"
		crossorigin="anonymous"></script>
</body>
</html>